package com.ejie.ab63.comun;

import java.io.IOException;
import java.util.Properties;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class CargarPropiedades {

	private static final Logger logger = LoggerFactory.getLogger(CargarPropiedades.class);

	/**
	 * 
	 * MÃ©todo que carga el fichero de propiedades
	 * 
	 * @param strPfClave
	 *            strPfClave
	 * @return Properties
	 */
	public Properties getProperties(String strPfClave) {

		String strProperties = Constantes.FICHERO_CONFIGURACION;
		Properties props = new Properties();
		try {
			props.load(this.getClass().getResourceAsStream(strProperties));
		} catch (IOException e) {
			CargarPropiedades.logger.error(e.getMessage());
		}

		return props;
	}

	/**
	 * Static method to obtain properties
	 * 
	 * @param strPfClave
	 *            strPfClave
	 * @return properties
	 */
	public static String getConfigAplicacion(String strPfClave) {
		CargarPropiedades ab63CargarPropiedades = new CargarPropiedades();
		Properties pLog = ab63CargarPropiedades.getProperties(strPfClave);

		String strValor = pLog.getProperty(strPfClave);

		if (pLog.containsKey(strPfClave)) {
			strValor = pLog.getProperty(strPfClave);
		}
		return strValor;

	}

}
